cascading.flow.hadoop.stream.graph

## Class HadoopReduceStreamGraph

- java.lang.Object
- - cascading.flow.stream.graph.StreamGraph
  - - cascading.flow.stream.graph.NodeStreamGraph
    - - cascading.flow.hadoop.stream.graph.HadoopReduceStreamGraph

-     public class HadoopReduceStreamGraph
      extends NodeStreamGraph

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.stream.graph.NodeStreamGraph

      `elementGraph, flowProcess, node, streamedSource`

    - ### Fields inherited from class cascading.flow.stream.graph.StreamGraph

      `DOT_FILE_PATH, ERROR_DOT_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopReduceStreamGraph(HadoopFlowProcess flowProcess, FlowNode node, FlowElement sourceElement)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `buildGraph()`
    `protected Gate` | `createCoGroupGate(CoGroup element, IORole role)`
    `protected Gate` | `createGroupByGate(GroupBy element, IORole role)`
    `protected Gate` | `createHashJoinGate(HashJoin join)`
    `protected SinkStage` | `createSinkStage(Tap element)`

    - ### Methods inherited from class cascading.flow.stream.graph.NodeStreamGraph

      `createBlockingJoinGate, createBoundaryStage, createMergeStage, createNonBlockingJoinGate, findExisting, getProperty, handleDuct, setScopes, setTraps`

    - ### Methods inherited from class cascading.flow.stream.graph.StreamGraph

      `addHead, addPath, addPath, addTail, asPathList, bind, cleanup, countAllEventingPathsTo, createFork, createNextFor, createOpenReducingWindow, createOpenWindow, findAllNextFor, findAllPreviousFor, getAllDucts, getHeads, getOrdinalMap, getReversedGraph, getReversedTopologicalOrderIterator, getTails, getTopologicalOrderIterator, ordinalBetween, prepare, printGraph, printGraph, printGraphError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopReduceStreamGraph

          public HadoopReduceStreamGraph(HadoopFlowProcess flowProcess,
                                 FlowNode node,
                                 FlowElement sourceElement)

  - ### Method Detail

    - #### buildGraph

          protected void buildGraph()

    - #### createSinkStage

          protected SinkStage createSinkStage(Tap element)

      Overrides:
        `createSinkStage` in class `NodeStreamGraph`

    - #### createCoGroupGate

          protected Gate createCoGroupGate(CoGroup element,
                               IORole role)

      Specified by:
        `createCoGroupGate` in class `NodeStreamGraph`

    - #### createGroupByGate

          protected Gate createGroupByGate(GroupBy element,
                               IORole role)

      Specified by:
        `createGroupByGate` in class `NodeStreamGraph`

    - #### createHashJoinGate

          protected Gate createHashJoinGate(HashJoin join)

      Overrides:
        `createHashJoinGate` in class `NodeStreamGraph`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.